Creates a new type
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
marketing_segment| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code | string |
Max length: 50 |
|
| segment |
Marketing segment Name |
string |
Required Max length: 50 |
| description |
Description of the segment |
string |
Max length: 255 |
| visit_frequency_days_interval |
Number of days between 2 visits |
integer | |
| frequency_logic |
Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED ) |
string | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "05be0607-e263-4e86-bbf7-eb2c5978d6ff",
"code": "sample string 2",
"segment": "sample string 3",
"description": "sample string 4",
"visit_frequency_days_interval": 5,
"frequency_logic": "sample string 6",
"sales_organization_id": "bf55fd82-49f8-4b0f-9c11-0c02e33a0627",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5f523fcf-5e77-4860-8464-5c53f9156d3f",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "afc4e0fd-8bcf-4655-a3c6-31897e6cb4f1",
"db_currency_id": "b216499e-b0a9-40e2-b7f1-1505849a2d9c",
"db_language_id": "4eea9563-51b5-4c7e-a8fb-f1c119ef1c50",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T19:22:55.8884668+00:00"
},
"modified_dateutc": "2026-11-12T19:22:55.8884668+00:00"
}